> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/fleet-intel/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/fleet-intel/_mcp/server.

# Get alerts

GET /v1/alerts

Get list of alerts with optional filtering by node, component, state, and severity

Reference: https://docs.nvidia.com/fleet-intel/fleet-intel/api-explorer/alerts/get-v-1-alerts

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: fleet-intelligence
  version: 1.0.0
paths:
  /v1/alerts:
    get:
      operationId: getV1Alerts
      summary: Get alerts
      description: >-
        Get list of alerts with optional filtering by node, component, state,
        and severity
      tags:
        - alerts
      parameters:
        - name: nodeUUID
          in: query
          description: Filter by node UUID
          required: false
          schema:
            type: string
        - name: component
          in: query
          description: Filter by component name
          required: false
          schema:
            type: string
        - name: state
          in: query
          description: Filter by alert state (Detected, Triggered, Resolved)
          required: false
          schema:
            type: string
        - name: severity
          in: query
          description: Filter by alert severity (Critical, Warning)
          required: false
          schema:
            type: string
        - name: page
          in: query
          description: 'Page number (default: 1)'
          required: false
          schema:
            type: integer
            default: 1
        - name: pageSize
          in: query
          description: 'Page size (default: 50, max: 100)'
          required: false
          schema:
            type: integer
            default: 50
      responses:
        '200':
          description: Array of alerts with pagination info
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.AlertResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
        '499':
          description: Client Closed Request - request was canceled by the client
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
components:
  schemas:
    models.AlertSeverity:
      type: string
      enum:
        - Critical
        - Warning
      title: models.AlertSeverity
    models.AlertState:
      type: string
      enum:
        - Detected
        - Triggered
        - Resolved
      title: models.AlertState
    models.Alert:
      type: object
      properties:
        alertUUID:
          type: string
        component:
          type: string
        componentDisplayName:
          type: string
        customerId:
          type: string
        detectedAt:
          type: string
        error:
          type: string
        eventTimestamp:
          type: string
        extraInfo:
          type: string
        incidents:
          type: string
        isMuted:
          type: boolean
        lastUpdated:
          type: string
        message:
          type: string
        mutedAt:
          type: string
        mutedBy:
          type: string
        nodeUUID:
          type: string
        severity:
          $ref: '#/components/schemas/models.AlertSeverity'
        state:
          $ref: '#/components/schemas/models.AlertState'
        suggestedActions:
          type: string
        triggeredAt:
          type: string
      title: models.Alert
    models.AlertResponse:
      type: object
      properties:
        alerts:
          type: array
          items:
            $ref: '#/components/schemas/models.Alert'
        page:
          type: integer
        pageCursorNext:
          type: string
        pageSize:
          type: integer
        total:
          type: integer
      title: models.AlertResponse
    models.KASRequestStatus:
      type: object
      properties:
        requestId:
          type: string
          description: Request ID for tracing
        statusCode:
          type: string
          description: Status code from KAS
        statusDescription:
          type: string
          description: Status description from KAS
      description: >-
        RequestStatus contains KAS-specific error details

        This is added to reflect the field in OpenAPI docs for UI reference and
        not populated by our code

        If KAS returns an error, the request will not be forwarded to the
        backend
      title: models.KASRequestStatus
    models.ErrorResponse:
      type: object
      properties:
        details:
          type: string
          description: Detailed error information
        error:
          type: string
          description: Error message or type
        requestStatus:
          $ref: '#/components/schemas/models.KASRequestStatus'
      description: >-
        Standard error response returned by all API endpoints. For KAS API
        errors, requestStatus fields are populated.
      title: models.ErrorResponse

```

## Examples



**Response**

```json
{
  "alerts": [
    {
      "alertUUID": "string",
      "component": "string",
      "componentDisplayName": "string",
      "customerId": "string",
      "detectedAt": "string",
      "error": "string",
      "eventTimestamp": "string",
      "extraInfo": "string",
      "incidents": "string",
      "isMuted": true,
      "lastUpdated": "string",
      "message": "string",
      "mutedAt": "string",
      "mutedBy": "string",
      "nodeUUID": "string",
      "severity": "Critical",
      "state": "Detected",
      "suggestedActions": "string",
      "triggeredAt": "string"
    }
  ],
  "page": 1,
  "pageCursorNext": "string",
  "pageSize": 1,
  "total": 1
}
```

**SDK Code**

```python
import requests

url = "https://api.example.com/v1/alerts"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.example.com/v1/alerts';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.example.com/v1/alerts"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.example.com/v1/alerts")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.example.com/v1/alerts")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.example.com/v1/alerts');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.example.com/v1/alerts");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/v1/alerts")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```